## fuel-agent 9.0+dfsg1

=== requirements.txt ===
Babel>=1.3
eventlet>=0.17.4
iso8601>=0.1.9
jsonschema>=2.0.0,<3.0.0,!=2.5.0
oslo.config>=2.3.0
oslo.serialization>=1.4.0
six>=1.9.0
pbr>=1.6
Jinja2>=2.6
stevedore>=1.5.0
requests>=2.5.2,!=2.8.0,!=2.9.0
urllib3>=1.8.3
PyYAML>=3.1.0

=== contrib/fuel_bootstrap/fuel_bootstrap_cli/requirements.txt ===
PyYAML>=3.1.0
stevedore
pbr>=0.6
cliff>=1.7.0
six>=1.7.0
python-fuelclient

=== contrib/ironic/ironic-fa-deploy/requirements.txt ===
# The driver uses Ironic code base and it's requirements, no additional
# requirements needed
ironic>=4.2.0
libvirt-python>=1.2.5 # LGPLv2+

=== debian/changelog ===
fuel-agent (9.0+dfsg1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to correct one

  [ Thomas Goirand ]
  * Fixed OSLO_PACKAGE_VERSION to remove +dfsg1, which breaks pbr.
  * Fixed and renamed .jinja2 cloud-init templates.
  * Added fix-cloud_config_ubuntu.jinja2_for_debian.patch
  * Do not package fa_fix-configs-on-startup in fuel-agent, as it is already in
    python{3,}-fuel-agent (Closes: #825563).

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 May 2016 13:55:39 +0200

fuel-agent (9.0+dfsg1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)

  [ Thomas Goirand ]
  * New upstream release.
  * Remove remove--quite-from-udevadm-settle.patch applied upstream.
  * Refreshed other patches.
  * Purges /etc/fuel-agent/fuel-agent.conf on purge (Closes: #820285).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 May 2016 12:56:15 +0200

fuel-agent (9.0~0+2016.03.09.git.b1ba4b7747+dfsg1-1) unstable; urgency=medium

  * New upstream release based on commit b1ba4b7747.
  * Uploading to unstable.
  * Lots of tweaks to make Debian provisionning works.
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Wed, 16 Mar 2016 17:12:17 +0100

fuel-agent (7.0+2016.01.29.git.99dc8a2be7+dfsg1-2) experimental; urgency=medium

  * Fix postinst, postrm and prerm for update-alternatives (Closes: #814603).
  * python{3,}-fuel-agent depends on python{3,}-fuel-bootstrap-cli.

 -- Thomas Goirand <zigo@debian.org>  Mon, 15 Feb 2016 02:25:18 +0000

fuel-agent (7.0+2016.01.29.git.99dc8a2be7+dfsg1-1) experimental; urgency=medium

  * Initial releas. (Closes: #813670)

 -- Thomas Goirand <zigo@debian.org>  Thu, 17 Dec 2015 17:45:23 +0100

=== debian/control ===
Source: fuel-agent
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 40~),
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python3-all,
               python3-pbr (>= 1.8),
               python3-setuptools,
Build-Depends-Indep: python-babel,
                     python-eventlet (>= 0.13.0),
                     python-iso8601,
                     python-jinja2,
                     python-jsonschema,
                     python-mock (>= 1.0),
                     python-oslo.config (>= 1:2.3.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslotest (>= 1.0),
                     python-pytest,
                     python-requests (>= 2.5.2),
                     python-requests-mock (>= 0.6),
                     python-six (>= 1.9.0),
                     python-stevedore (>= 1.5.0),
                     python-testtools (>= 0.9.34),
                     python-urllib3 (>= 1.8.3),
                     python-yaml,
                     python3-babel,
                     python3-eventlet (>= 0.13.0),
                     python3-iso8601,
                     python3-jinja2,
                     python3-jsonschema,
                     python3-mock (>= 1.0),
                     python3-oslo.config (>= 1:2.3.0),
                     python3-oslo.serialization (>= 1.4.0),
                     python3-oslotest (>= 1.0),
                     python3-pytest,
                     python3-requests (>= 2.5.2),
                     python3-requests-mock (>= 0.6),
                     python3-six (>= 1.9.0),
                     python3-stevedore (>= 1.5.0),
                     python3-subunit,
                     python3-testrepository,
                     python3-testtools (>= 0.9.34),
                     python3-urllib3 (>= 1.8.3),
                     python3-yaml,
                     subunit,
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/fuel-agent.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/fuel-agent.git
Homepage: https://github.com/openstack/fuel-agent

Package: python-fuel-agent
Architecture: all
Section: python
Depends: python-babel,
         python-eventlet (>= 0.13.0),
         python-fuel-bootstrap-cli (= ${binary:Version}),
         python-iso8601,
         python-jinja2,
         python-jsonschema,
         python-oslo.config (>= 1:2.3.0),
         python-oslo.serialization (>= 1.4.0),
         python-pbr (>= 1.8),
         python-requests (>= 2.5.2),
         python-six (>= 1.9.0),
         python-stevedore (>= 1.5.0),
         python-urllib3 (>= 1.8.3),
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: fuel image based provisioning agent - Python 2.7
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the Python 2.7 module.

Package: python3-fuel-agent
Architecture: all
Section: python
Depends: python3-babel,
         python3-eventlet (>= 0.13.0),
         python3-fuel-bootstrap-cli (= ${binary:Version}),
         python3-iso8601,
         python3-jinja2,
         python3-jsonschema,
         python3-oslo.config (>= 1:2.3.0),
         python3-oslo.serialization (>= 1.4.0),
         python3-pbr (>= 1.8),
         python3-requests (>= 2.5.2),
         python3-six (>= 1.9.0),
         python3-stevedore (>= 1.5.0),
         python3-urllib3 (>= 1.8.3),
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: fuel image based provisioning agent - Python 3.x
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the Python 3.x module.

Package: fuel-agent
Architecture: all
Section: python
Depends: bzip2,
         cloud-utils,
         debootstrap,
         dmidecode,
         ethtool,
         fuel-nailgun-agent,
         gdisk,
         genisoimage,
         lvm2,
         mdadm,
         openssh-client,
         parted,
         pciutils,
         python-fuel-agent (= ${binary:Version}) | python3-fuel-agent (= ${binary:Version}),
         xfsprogs,
         xz-utils,
         ${misc:Depends},
         ${python:Depends},
Description: fuel image based provisioning agent
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 Fuel agent executes provisioning tasks on the discovery nodes.

Package: python-ironic-fa-deploy
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
Description: Ironic Fuel Agent Deploy - Python 2.7
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the ironic-fa-deploy Python 2.7 module.

Package: python3-ironic-fa-deploy
Architecture: all
Section: python
Depends: ${misc:Depends},
         ${python:Depends},
Description: Ironic Fuel Agent Deploy - Python 3.x
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the ironic-fa-deploy Python 3.x module.

Package: ironic-fa-deploy
Architecture: all
Depends: ironic-conductor (>= 4.2.0),
         python-ironic-fa-deploy (= ${binary:Version}) | python3-ironic-fa-deploy (= ${binary:Version}),
         ${misc:Depends},
Description: Ironic Fuel Agent Deploy - config files
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the ironic config.

Package: python-fuel-bootstrap-cli
Architecture: all
Section: python
Depends: python-cliff (>= 1.7.0),
         python-fuelclient,
         python-pbr (>= 0.6),
         python-six (>= 1.7.0),
         python-stevedore,
         python-yaml,
         ${misc:Depends},
         ${python:Depends},
Description: CLI for the fuel bootstrap - Python 2.7
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the Python 2.7 module for the Fuel Boostrap CLI.

Package: python3-fuel-bootstrap-cli
Architecture: all
Section: python
Depends: python3-cliff (>= 1.7.0),
         python3-fuelclient,
         python3-pbr (>= 0.6),
         python3-six (>= 1.7.0),
         python3-stevedore,
         python3-yaml,
         ${misc:Depends},
         ${python3:Depends},
Description: CLI for the fuel bootstrap - Python 3.x
 Fuel provides PXE booting to all of the bare metal servers it manages. The
 fuel-agent package runs on these nodes in order to communicate with the
 Fuel master node.
 .
 This package contains the Python 3.x module for the Fuel Boostrap CLI.

=== debian/rules ===
#!/usr/bin/make -f

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' -e 's/+dfsg1//' | head -n 1)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,systemd

override_dh_clean:
	rm -rf build .testr.conf
	dh_clean -O--buildsystem=python_distutils
	rm -f debian/*.init debian/*.upstart debian/*.service

override_dh_auto_install:
	set -e ; for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-fuel-agent; \
	done
	set -e ; for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-fuel-agent; \
	done

	mv $(CURDIR)/debian/python-fuel-agent/usr/bin/fa_bootloader $(CURDIR)/debian/python-fuel-agent/usr/bin/python2-fa_bootloader
	mv $(CURDIR)/debian/python3-fuel-agent/usr/bin/fa_bootloader $(CURDIR)/debian/python3-fuel-agent/usr/bin/python3-fa_bootloader
	mv $(CURDIR)/debian/python-fuel-agent/usr/bin/fa_build_image $(CURDIR)/debian/python-fuel-agent/usr/bin/python2-fa_build_image
	mv $(CURDIR)/debian/python3-fuel-agent/usr/bin/fa_build_image $(CURDIR)/debian/python3-fuel-agent/usr/bin/python3-fa_build_image
	mv $(CURDIR)/debian/python-fuel-agent/usr/bin/fa_configdrive $(CURDIR)/debian/python-fuel-agent/usr/bin/python2-fa_configdrive
	mv $(CURDIR)/debian/python3-fuel-agent/usr/bin/fa_configdrive $(CURDIR)/debian/python3-fuel-agent/usr/bin/python3-fa_configdrive
	mv $(CURDIR)/debian/python-fuel-agent/usr/bin/fa_copyimage $(CURDIR)/debian/python-fuel-agent/usr/bin/python2-fa_copyimage
	mv $(CURDIR)/debian/python3-fuel-agent/usr/bin/fa_copyimage $(CURDIR)/debian/python3-fuel-agent/usr/bin/python3-fa_copyimage
	mv $(CURDIR)/debian/python-fuel-agent/usr/bin/fa_ironic_callback $(CURDIR)/debian/python-fuel-agent/usr/bin/python2-fa_ironic_callback
	mv $(CURDIR)/debian/python3-fuel-agent/usr/bin/fa_ironic_callback $(CURDIR)/debian/python3-fuel-agent/usr/bin/python3-fa_ironic_callback
	mv $(CURDIR)/debian/python-fuel-agent/usr/bin/fa_mkbootstrap $(CURDIR)/debian/python-fuel-agent/usr/bin/python2-fa_mkbootstrap
	mv $(CURDIR)/debian/python3-fuel-agent/usr/bin/fa_mkbootstrap $(CURDIR)/debian/python3-fuel-agent/usr/bin/python3-fa_mkbootstrap
	mv $(CURDIR)/debian/python-fuel-agent/usr/bin/fa_partition $(CURDIR)/debian/python-fuel-agent/usr/bin/python2-fa_partition
	mv $(CURDIR)/debian/python3-fuel-agent/usr/bin/fa_partition $(CURDIR)/debian/python3-fuel-agent/usr/bin/python3-fa_partition
	mv $(CURDIR)/debian/python-fuel-agent/usr/bin/provision $(CURDIR)/debian/python-fuel-agent/usr/bin/python2-provision
	mv $(CURDIR)/debian/python3-fuel-agent/usr/bin/provision $(CURDIR)/debian/python3-fuel-agent/usr/bin/python3-provision


	set -e ; set -x ; cd contrib/ironic/ironic-fa-deploy ; for pyvers in $(PYTHONS) ; do \
		python$$pyvers ./setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-ironic-fa-deploy ; \
	done
	set -e ; set -x ; cd contrib/ironic/ironic-fa-deploy ; for pyvers in $(PYTHON3S) ; do \
		python$$pyvers ./setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-ironic-fa-deploy ; \
	done

	set -e ; set -x ; cd contrib/fuel_bootstrap/fuel_bootstrap_cli ; for pyvers in $(PYTHONS) ; do \
		python$$pyvers ./setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-fuel-bootstrap-cli ; \
	done

	set -e ; set -x ; cd contrib/fuel_bootstrap/fuel_bootstrap_cli ; for pyvers in $(PYTHON3S) ; do \
		python$$pyvers ./setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-fuel-bootstrap-cli ; \
	done
	mkdir -p $(CURDIR)/debian/python3-fuel-bootstrap-cli/usr/bin
	cp contrib/fuel_bootstrap/files/trusty/usr/bin/fix-configs-on-startup $(CURDIR)/debian/python-fuel-agent/usr/bin/python2-fa_fix-configs-on-startup
	cp contrib/fuel_bootstrap/files/trusty/usr/bin/fix-configs-on-startup $(CURDIR)/debian/python3-fuel-agent/usr/bin/python3-fa_fix-configs-on-startup

	mv $(CURDIR)/debian/python-fuel-bootstrap-cli/usr/bin/fuel-bootstrap $(CURDIR)/debian/python-fuel-bootstrap-cli/usr/bin/python2-fuel-bootstrap
	mv $(CURDIR)/debian/python3-fuel-bootstrap-cli/usr/bin/fuel-bootstrap $(CURDIR)/debian/python3-fuel-bootstrap-cli/usr/bin/python3-fuel-bootstrap

	cp contrib/fuel_bootstrap/files/trusty/usr/bin/send2syslog.py $(CURDIR)/debian/python-fuel-agent/usr/bin/python2-fa_send2syslog
	cp contrib/fuel_bootstrap/files/trusty/usr/bin/send2syslog.py $(CURDIR)/debian/python3-fuel-agent/usr/bin/python3-fa_send2syslog

override_dh_fixperms:
	dh_fixperms
	chmod -x $(CURDIR)/debian/fuel-agent/lib/udev/rules.d/80-net-name-slot.rules

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	echo "===> Running tests"
	set -e ; set -x ; for i in 2.7 $(PYTHON3S) ; do \
		PYMAJOR=`echo $$i | cut -d'.' -f1` ; \
		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
		PYTHONPATH=. PYTHON=python$$i python$$i -m pytest fuel_agent/tests || true ; \
	done
endif
#		cp debian/testr.conf ./.testr.conf
#		PYMAJOR=$${i%%.*}; \
#		echo "===> Testing with python$$i (python$$PYMAJOR)" ; \
#		rm -rf .testrepository ; \
#		testr init ; \
#		TEMP_REZ=`mktemp -t` ; \
#		PYTHONPATH=$(CURDIR) PYTHON=python$$i testr run --subunit 'tests\.(?!.*OptsTestCase.test_entry_point.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
#		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
#		rm -f $$TEMP_REZ ; \
#		testr slowest ; \
#		rm ./.testr.conf ; \

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_perl override_dh_usrlocal:
override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/",dversionmangle=s/\+dfsg\d// \
https://github.com/openstack/fuel-agent/tags .*/(\d[\d\.]+)\.tar\.gz
